Your message dated Wed, 30 Dec 2015 21:49:06 +0000
with message-id 
<cab4xwxxqkns6pceh6cov7exa_a0_tbc+7orsj3zrdsuqzfm...@mail.gmail.com>
and subject line Re: Bug#525211: reportbug: support for redirecting emdebian 
packages to buildd.emdebian.org
has caused the Debian Bug report #525211,
regarding reportbug: support for redirecting emdebian packages to 
buildd.emdebian.org
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
525211: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=525211
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: reportbug
Version: 4.1
Severity: wishlist

So that I don't lose track of this issue again, this is the bug report
detailing the reasons why reportbug should redirect bugs against any
package with a version string ending in em[0-9] to the
buildd.emdebian.org pseudo-package:

"If you start seeing bugs or getting email about your packages where the
version string ends in em[0-9], or where dependencies mentioned by
reportbug include such a version suffix, the user is running one of the
two Emdebian distributions released alongside lenny (and based on lenny
packages). You might also see Emdebian in the output of 'apt-cache
policy' if your bug reports request or supply such data.

If there is any doubt that the bug is present in Debian, please
immediately re-assign the bug to the buildd.emdebian.org pseudo-package
in the BTS."

http://lists.debian.org/debian-devel/2009/02/msg00352.html

-- Package-specific info:
** Environment settings:
DEBEMAIL="codeh...@debian.org"
DEBFULLNAME="Neil Williams"

** /home/neil/.reportbugrc:
reportbug_version "4.0"
mode advanced
ui urwid

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages reportbug depends on:
ii  apt                           0.7.21     Advanced front-end for dpkg
ii  python                        2.5.4-2    An interactive high-level object-o
ii  python-reportbug              4.1        Python modules for interacting wit

reportbug recommends no packages.

Versions of packages reportbug suggests:
ii  debconf-utils              1.5.26        debconf utilities
pn  debsums                    <none>        (no description available)
ii  dlocate                    0.96.1        fast alternative to dpkg -L and dp
ii  exim4                      4.69-9        metapackage to ease Exim MTA (v4) 
ii  exim4-daemon-light [mail-t 4.69-9        lightweight Exim MTA (v4) daemon
ii  file                       5.00-1        Determines file type using "magic"
ii  gnupg                      1.4.9-4       GNU privacy guard - a free PGP rep
ii  python-gnome2-extras       2.25.3-2      Extra Python bindings for the GNOM
ii  python-gtk2                2.14.1-2      Python bindings for the GTK+ widge
ii  python-urwid               0.9.8.4-1     curses-based UI/widget library for
ii  python-vte                 1:0.17.4-2+b1 Python bindings for the VTE widget

-- debconf-show failed



--- End Message ---
--- Begin Message ---
control: tags -1 +wontfix

On Sun, Mar 28, 2010 at 3:23 PM, Neil Williams <codeh...@debian.org> wrote:
> On Sun, 28 Mar 2010 15:59:43 +0200
> Sandro Tosi <mo...@debian.org> wrote:
>
>> > So that I don't lose track of this issue again, this is the bug report
>> > detailing the reasons why reportbug should redirect bugs against any
>> > package with a version string ending in em[0-9] to the
>> > buildd.emdebian.org pseudo-package:
>>
>> Could you please provide a more robust regexp (if possible) to match
>> Emdebian packages? it's seems quite fragile at first sight. or do you
>> mean that each and every package in emdebian has a "<upstream
>> version>-<debian revision>{+}em<number>" version format?
>
> Yes, it is each and every package with a uniform suffix - it's added
> automatically.
>
> Non-native packages:
> <upstream-version>-<debian-revision>em<0-9>
>
> Native packages:
> <debian-version>em<0-9>

I'm sorry, but I still think the regex inside reportbug is a too
fragile approach (after all, anyone outside emdebian can add that
suffix to their own packages and they should not be redirected to
emdebian).

What you should do is to add a bug script to the emdebian packages to
redirect bugs to buildd.emdebian.org pseudo-package: more details in
the "Package redirection" section of
/usr/share/doc/reportbug/README.developers.gz

Regards,
-- 
Sandro "morph" Tosi
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi
G+: https://plus.google.com/u/0/+SandroTosi

--- End Message ---
_______________________________________________
Reportbug-maint mailing list
Reportbug-maint@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reportbug-maint

Reply via email to